Subject: Re: how do I install to site_perl with new pkgsrc perl (5.8.7)?
To: None <>
From: walt <>
List: tech-pkg
Date: 08/07/2005 14:12:51
On Sun, 2005-08-07 at 16:34 -0400, Mark E. Perkins wrote:
> I don't understand what could be wrong here, but using the new perl
> 5.8.7 I cannot get anything to install to site_perl. The usual
> incantations of... <snip>

I can see you know more about perl than I do -- but I just
finished upgrading perl and my p5* packages with no problem.

After I upgraded perl to 5.8.7 I then re-installed each p5*
manually with a 'make replace clean' and it all Just Worked.

I've seen posts here explaining that the perl infrastructure
has been radically changed to install all perl modules into
the 5.8.0 directory instead of the various different 5.8.x
directories.  This is so that each time x changes you don't
need to re-install all of your perl modules.

Until perl-5.9.0, of course.